Salome HOME
[E.A.] The build_cmake convert the Makefile.am files into CMakeLists.txt
authoradam <adam>
Tue, 25 Nov 2008 09:55:06 +0000 (09:55 +0000)
committeradam <adam>
Tue, 25 Nov 2008 09:55:06 +0000 (09:55 +0000)
files to compile with cmake.

build_cmake [new file with mode: 0755]

diff --git a/build_cmake b/build_cmake
new file mode 100755 (executable)
index 0000000..eb63063
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+CURRENT_DIR=`pwd`
+CONF_DIR=`echo $0 | sed -e "s,[^/]*$,,;s,/$,,;s,^$,.,"`
+cd ${CONF_DIR}
+python $KERNEL_ROOT_DIR/salome_adm/cmake_files/am2cmake.py --geom
+status=$?
+cd ${CURRENT_DIR}
+exit $status